Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1045662 - 3.12 kernels do not complete boot: kernel BUG at drivers/gpu/drm/drm_fops.c:495
Summary: 3.12 kernels do not complete boot: kernel BUG at drivers/gpu/drm/drm_fops.c:495
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-21 00:56 UTC by Ankur Sinha (FranciscoD)
Modified: 2014-02-28 12:09 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-28 12:09:55 UTC
Type: Bug


Attachments (Terms of Use)
Journalctl for one of the failed boots. (1.55 MB, text/x-log)
2013-12-21 00:56 UTC, Ankur Sinha (FranciscoD)
no flags Details
journalctl -k --no-pager (169.43 KB, text/x-log)
2013-12-21 23:48 UTC, Ankur Sinha (FranciscoD)
no flags Details
/var/log/Xorg.1.log (8.48 KB, text/x-log)
2013-12-21 23:49 UTC, Ankur Sinha (FranciscoD)
no flags Details
journalctl -b -3 -k --no-pager for 3.12.6 (106.14 KB, text/x-vhdl)
2013-12-25 03:12 UTC, Ankur Sinha (FranciscoD)
no flags Details
logs for 3.13.0-0.rc5.git0.2.fc21.x86_64 (166.26 KB, text/plain)
2013-12-30 08:39 UTC, Ankur Sinha (FranciscoD)
no flags Details
logs for 3.13.0-0.rc7.git0.2.fc21.x86_64 (2.58 MB, text/x-log)
2014-01-06 23:19 UTC, Ankur Sinha (FranciscoD)
no flags Details
Kernel logs for 3.12.7-300 (24.04 KB, text/x-log)
2014-01-13 14:37 UTC, Ankur Sinha (FranciscoD)
no flags Details
Complete journalctl log. I used drm.debug=15 (413.48 KB, text/x-log)
2014-01-13 14:38 UTC, Ankur Sinha (FranciscoD)
no flags Details
Xorg for 3.12.7-300: gets stuck at "xfree86: Adding drm device (/dev/dri/card1)" (2.26 KB, text/plain)
2014-01-13 14:40 UTC, Ankur Sinha (FranciscoD)
no flags Details
Xorg for 3.11.10-301: works normally. (37.66 KB, text/x-log)
2014-01-13 14:41 UTC, Ankur Sinha (FranciscoD)
no flags Details
dmesg for 3.13.0-0.rc8.git2.2 (54.00 KB, text/plain)
2014-01-16 04:33 UTC, Ankur Sinha (FranciscoD)
no flags Details
Xorg.log for 3.13.0-0.rc8.git2.2 (73.22 KB, text/x-log)
2014-01-16 04:36 UTC, Ankur Sinha (FranciscoD)
no flags Details
journalctl -b -3 -k --no-pager for 3.13.0-2.fc21.x86_64 (553.30 KB, text/x-log)
2014-01-22 02:56 UTC, Ankur Sinha (FranciscoD)
no flags Details

Description Ankur Sinha (FranciscoD) 2013-12-21 00:56:57 UTC
Created attachment 839884 [details]
Journalctl for one of the failed boots.

Description of problem:
None of the 3.12 kernels finish the boot process to result in gdm. They both stop mid way. The 3.11 kernel works fine. 

Version-Release number of selected component (if applicable):
kernel-3.12.5-301.fc20.x86_64
kernel-3.12.5-302.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Boot into either of the 3.12 kernels
2.
3.

Actual results:
Stops midway during boot process. Fedora bubble gets stuck. 

Expected results:
Should boot correctly and reach graphical.target

Additional info:
When they get stuck, hitting the power button to initiate shut down doesn't work either. They begin the shut down process and then get stuck there too.

Screenshots of boots:
http://ankursinha.fedorapeople.org/kernel-3.12-failures/2013-12-21%2011.31.27.jpg
http://ankursinha.fedorapeople.org/kernel-3.12-failures/2013-12-21%2011.32.22.jpg
http://ankursinha.fedorapeople.org/kernel-3.12-failures/2013-12-21%2011.34.07.jpg

Comment 1 Ankur Sinha (FranciscoD) 2013-12-21 23:46:27 UTC
I ran it with drm.debug=15 and got this in the kernel logs:

Dec 22 10:26:30 ankur-laptop kernel: kernel BUG at drivers/gpu/drm/drm_fops.c:495!
Dec 22 10:26:30 ankur-laptop kernel: invalid opcode: 0000 [#1] SMP 
Dec 22 10:26:30 ankur-laptop kernel: Modules linked in: xt_CHECKSUM tun nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep btusb snd_hda_codec_hdmi bluetooth snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer arc4 brcmsmac joydev r8169 cordic brcmutil intel_ips b43 dell_wmi mac80211 coretemp kvm_intel cfg80211 uvcvideo ssb dell_laptop mmc_core iTCO_wdt iTCO_vendor_support rfkill kvm crct10dif_pclmul crc32_pclmul
Dec 22 10:26:30 ankur-laptop kernel:  crc32c_intel ghash_clmulni_intel snd soundcore videobuf2_vmalloc videobuf2_memops videobuf2_core videodev sparse_keymap mii dcdbas microcode media serio_raw bcma mei_me mei i2c_i801 lpc_ich mfd_core shpchp acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd sunrpc nouveau i915 ttm i2c_algo_bit drm_kms_helper drm mxm_wmi i2c_core wmi video
Dec 22 10:26:30 ankur-laptop kernel: CPU: 1 PID: 579 Comm: Xorg Not tainted 3.12.5-302.fc20.x86_64 #1
Dec 22 10:26:30 ankur-laptop kernel: Hardware name: Dell Inc. Vostro 3400/08YN7X, BIOS A10 10/25/2010
Dec 22 10:26:30 ankur-laptop kernel: task: ffff8800992cb9c0 ti: ffff880099aaa000 task.ti: ffff880099aaa000
Dec 22 10:26:30 ankur-laptop kernel: RIP: 0010:[<ffffffffa002b60e>] 
Dec 22 10:26:30 ankur-laptop kernel:  [<ffffffffa002b60e>] drm_release+0x5de/0x5e0 [drm]
Dec 22 10:26:30 ankur-laptop kernel: RSP: 0018:ffff880099aabe58  EFLAGS: 00010246
Dec 22 10:26:30 ankur-laptop kernel: RAX: ffff880036ae0800 RBX: ffff8800373cd600 RCX: 0000000000000000
Dec 22 10:26:30 ankur-laptop kernel: RDX: ffffffffa023bb00 RSI: ffff8800a52c0f00 RDI: 0000000000000000
Dec 22 10:26:30 ankur-laptop kernel: RBP: ffff880099aabea0 R08: ffffffff81ee163c R09: 00000000000006a2
Dec 22 10:26:30 ankur-laptop kernel: R10: 00000000000006a1 R11: 0000000000000003 R12: ffff88013f4d5020
Dec 22 10:26:30 ankur-laptop kernel: R13: ffff88013f4d5000 R14: ffff88013f4d5118 R15: ffff88013f4d5130
Dec 22 10:26:30 ankur-laptop kernel: FS:  00007f6cd85509c0(0000) GS:ffff880147c80000(0000) knlGS:0000000000000000
Dec 22 10:26:30 ankur-laptop kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Dec 22 10:26:30 ankur-laptop kernel: CR2: 00000000004adea0 CR3: 0000000099aae000 CR4: 00000000000007e0
Dec 22 10:26:30 ankur-laptop kernel: Stack:
Dec 22 10:26:30 ankur-laptop kernel:  ffff880100000001
Dec 22 10:26:30 ankur-laptop kernel:  0000000000000000
Dec 22 10:26:30 ankur-laptop kernel:  0000000000000246
Dec 22 10:26:30 ankur-laptop kernel:  ffff88013f4d5288
Dec 22 10:26:30 ankur-laptop kernel: Dec 22 10:26:30 ankur-laptop kernel:  ffff880099101600
Dec 22 10:26:30 ankur-laptop kernel:  0000000000000008
Dec 22 10:26:30 ankur-laptop kernel:  ffff880036a6cab8
Dec 22 10:26:30 ankur-laptop kernel:  ffff880140d57000
Dec 22 10:26:30 ankur-laptop kernel: Dec 22 10:26:30 ankur-laptop kernel:  ffff880141f92920
Dec 22 10:26:30 ankur-laptop kernel:  ffff880099aabee8
Dec 22 10:26:30 ankur-laptop kernel:  ffffffff811afe61
Dec 22 10:26:30 ankur-laptop kernel:  ffff880036a6cab8
Dec 22 10:26:30 ankur-laptop kernel: Dec 22 10:26:30 ankur-laptop kernel: Call Trace:
Dec 22 10:26:30 ankur-laptop kernel: Dec 22 10:26:30 ankur-laptop kernel:  [<ffffffff811afe61>] __fput+0xe1/0x230
Dec 22 10:26:30 ankur-laptop kernel: Dec 22 10:26:30 ankur-laptop kernel:  [<ffffffff811afffe>] ____fput+0xe/0x10
Dec 22 10:26:30 ankur-laptop kernel: Dec 22 10:26:30 ankur-laptop kernel:  [<ffffffff81087d07>] task_work_run+0xa7/0xe0
Dec 22 10:26:30 ankur-laptop kernel: Dec 22 10:26:30 ankur-laptop kernel:  [<ffffffff81012a21>] do_notify_resume+0x61/0xa0
Dec 22 10:26:30 ankur-laptop kernel: Dec 22 10:26:30 ankur-laptop kernel:  [<ffffffff81672022>] int_signal+0x12/0x17
Dec 22 10:26:30 ankur-laptop kernel: Code: 
Dec 22 10:26:30 ankur-laptop kernel: de 
Dec 22 10:26:30 ankur-laptop kernel: 4c 
Dec 22 10:26:30 ankur-laptop kernel: 89 
Dec 22 10:26:30 ankur-laptop kernel: ef 
Dec 22 10:26:30 ankur-laptop kernel: ff 
Dec 22 10:26:30 ankur-laptop kernel: d1 
Dec 22 10:26:30 ankur-laptop kernel: 48 
Dec 22 10:26:30 ankur-laptop kernel: 8b 
Dec 22 10:26:30 ankur-laptop kernel: 43 
Dec 22 10:26:30 ankur-laptop kernel: 30 
Dec 22 10:26:30 ankur-laptop kernel: 48 
Dec 22 10:26:30 ankur-laptop kernel: 8d 
Dec 22 10:26:30 ankur-laptop kernel: b8 
Dec 22 10:26:30 ankur-laptop kernel: f8 
Dec 22 10:26:30 ankur-laptop kernel: 02 
Dec 22 10:26:30 ankur-laptop kernel: 00 
Dec 22 10:26:30 ankur-laptop kernel: 00 
Dec 22 10:26:30 ankur-laptop kernel: e8 
Dec 22 10:26:30 ankur-laptop kernel: 07 
Dec 22 10:26:30 ankur-laptop kernel: 56 
Dec 22 10:26:30 ankur-laptop kernel: 00 
Dec 22 10:26:30 ankur-laptop kernel: 00 
Dec 22 10:26:30 ankur-laptop kernel: e9 
Dec 22 10:26:30 ankur-laptop kernel: 72 
Dec 22 10:26:30 ankur-laptop kernel: fd 
Dec 22 10:26:30 ankur-laptop kernel: ff 
Dec 22 10:26:30 ankur-laptop kernel: ff 
Dec 22 10:26:30 ankur-laptop kernel: 49 
Dec 22 10:26:30 ankur-laptop kernel: c7 
Dec 22 10:26:30 ankur-laptop kernel: 85 
Dec 22 10:26:30 ankur-laptop kernel: f0 
Dec 22 10:26:30 ankur-laptop kernel: 02 
Dec 22 10:26:30 ankur-laptop kernel: 00 
Dec 22 10:26:30 ankur-laptop kernel: 00 
Dec 22 10:26:30 ankur-laptop kernel: 00 
Dec 22 10:26:30 ankur-laptop kernel: 00 
Dec 22 10:26:30 ankur-laptop kernel: 00 
Dec 22 10:26:30 ankur-laptop kernel: 00 
Dec 22 10:26:30 ankur-laptop kernel: e9 
Dec 22 10:26:30 ankur-laptop kernel: 28 
Dec 22 10:26:30 ankur-laptop kernel: fd 
Dec 22 10:26:30 ankur-laptop kernel: ff 
Dec 22 10:26:30 ankur-laptop kernel: ff 
Dec 22 10:26:30 ankur-laptop kernel: <0f> 
Dec 22 10:26:30 ankur-laptop kernel: 0b 
Dec 22 10:26:30 ankur-laptop kernel: 66 
Dec 22 10:26:30 ankur-laptop kernel: 66 
Dec 22 10:26:30 ankur-laptop kernel: 66 
Dec 22 10:26:30 ankur-laptop kernel: 66 
Dec 22 10:26:30 ankur-laptop kernel: 90 
Dec 22 10:26:30 ankur-laptop kernel: 55 
Dec 22 10:26:30 ankur-laptop kernel: 48 
Dec 22 10:26:30 ankur-laptop kernel: 89 
Dec 22 10:26:30 ankur-laptop kernel: e5 
Dec 22 10:26:30 ankur-laptop kernel: 41 
Dec 22 10:26:30 ankur-laptop kernel: 57 
Dec 22 10:26:30 ankur-laptop kernel: 41 
Dec 22 10:26:30 ankur-laptop kernel: 56 
Dec 22 10:26:30 ankur-laptop kernel: 41 
Dec 22 10:26:30 ankur-laptop kernel: 55 
Dec 22 10:26:30 ankur-laptop kernel: 41 
Dec 22 10:26:30 ankur-laptop kernel: 54 
Dec 22 10:26:30 ankur-laptop kernel: 53 
Dec 22 10:26:30 ankur-laptop kernel: 48 
Dec 22 10:26:30 ankur-laptop kernel: Dec 22 10:26:30 ankur-laptop kernel: RIP 
Dec 22 10:26:30 ankur-laptop kernel:  [<ffffffffa002b60e>] drm_release+0x5de/0x5e0 [drm]
Dec 22 10:26:30 ankur-laptop kernel:  RSP <ffff880099aabe58>
Dec 22 10:26:30 ankur-laptop kernel: ---[ end trace 64b17bd15d1057c6 ]---

Complete log attached. I'm sorry I used -x when generating the earlier log. I hadn't read the man page.

Comment 2 Ankur Sinha (FranciscoD) 2013-12-21 23:48:16 UTC
Created attachment 840202 [details]
journalctl -k --no-pager

Comment 3 Ankur Sinha (FranciscoD) 2013-12-21 23:49:28 UTC
Created attachment 840203 [details]
/var/log/Xorg.1.log

X doesn't come up, and this is what Xorg says:

[asinha@ankur-laptop  ~]$ egrep EE -n /var/log/Xorg.1.log
15:     (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
61:[ 19610.801] Initializing built-in extension MIT-SCREEN-SAVER
141:[ 19611.032] (EE) intel(0): [drm] failed to set drm interface version.
142:[ 19611.032] (EE) intel(0): Failed to become DRM master.
144:[ 19611.032] (EE) Screen(s) found, but none have a usable configuration.
145:[ 19611.032] (EE)
147:[ 19611.032] (EE) no screens found(EE)
148:[ 19611.032] (EE)
152:[ 19611.032] (EE) Please also check the log file at "/var/log/Xorg.1.log" for additional information.
153:[ 19611.032] (EE)
154:[ 19611.038] (EE) Server terminated with error (1). Closing log file.
[asinha@ankur-laptop  ~]$

Comment 4 Peter Robinson 2013-12-24 08:36:41 UTC
What are the details of the graphics card?

Comment 5 Ankur Sinha (FranciscoD) 2013-12-24 09:41:27 UTC
Hi Peter,

(In reply to Peter Robinson from comment #4)
> What are the details of the graphics card?

[asinha@ankur-laptop  ~]$ lspci | egrep VGA
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 18)
01:00.0 VGA compatible controller: NVIDIA Corporation GT218M [GeForce 310M] (rev a2)


http://www.geforce.com/hardware/notebook-gpus/geforce-310m/specifications

Thanks,
Warm regards,
Ankur

Comment 6 Ankur Sinha (FranciscoD) 2013-12-25 03:12:45 UTC
Created attachment 841386 [details]
journalctl -b -3 -k --no-pager  for 3.12.6

No difference with 3.12.6 either. A similar back trace:

Dec 25 13:55:38 ankur-laptop kernel: ------------[ cut here ]------------
Dec 25 13:55:38 ankur-laptop kernel: kernel BUG at drivers/gpu/drm/drm_fops.c:495!
Dec 25 13:55:38 ankur-laptop kernel: invalid opcode: 0000 [#1] SMP 
Dec 25 13:55:38 ankur-laptop kernel: Modules linked in: xt_CHECKSUM tun nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep coretemp kvm_intel snd_hda_codec_hdmi kvm snd_hda_codec_idt crct10dif_pclmul crc32_pclmul crc32c_intel arc4 brcmsmac cordic brcmutil b43 snd_hda_intel snd_hda_codec ghash_clmulni_intel snd_hwdep mac80211 btusb cfg80211 uvcvideo ssb mmc_core dell_laptop bluetooth snd_seq videobuf2_vmalloc videobuf2_memops videobuf2_core videodev dell_wmi rfkill iTCO_wdt
Dec 25 13:55:38 ankur-laptop kernel:  microcode r8169 iTCO_vendor_support media mii cdc_acm sparse_keymap i2c_i801 joydev snd_seq_device snd_pcm serio_raw bcma dcdbas intel_ips lpc_ich mfd_core mei_me shpchp nfsd auth_rpcgss snd_page_alloc nfs_acl lockd snd_timer snd mei soundcore sunrpc acpi_cpufreq usb_storage nouveau i915 mxm_wmi ttm wmi video i2c_algo_bit drm_kms_helper drm i2c_core
Dec 25 13:55:38 ankur-laptop kernel: CPU: 1 PID: 574 Comm: Xorg Not tainted 3.12.6-300.fc20.x86_64 #1
Dec 25 13:55:38 ankur-laptop kernel: Hardware name: Dell Inc. Vostro 3400/08YN7X, BIOS A10 10/25/2010
Dec 25 13:55:38 ankur-laptop kernel: task: ffff88009ef818c0 ti: ffff880140db8000 task.ti: ffff880140db8000
Dec 25 13:55:38 ankur-laptop kernel: RIP: 0010:[<ffffffffa002660e>]  [<ffffffffa002660e>] drm_release+0x5de/0x5e0 [drm]
Dec 25 13:55:38 ankur-laptop kernel: RSP: 0018:ffff880140db9e58  EFLAGS: 00010246
Dec 25 13:55:38 ankur-laptop kernel: RAX: ffff88003700f800 RBX: ffff8800a5736400 RCX: 0000000000000000
Dec 25 13:55:38 ankur-laptop kernel: RDX: ffffffffa025fb00 RSI: ffff8800a70b0900 RDI: 0000000000000000
Dec 25 13:55:38 ankur-laptop kernel: RBP: ffff880140db9ea0 R08: 000000000000023e R09: 000000000000e201
Dec 25 13:55:38 ankur-laptop kernel: R10: ffff8800a738e4a8 R11: ffff8800a564ee10 R12: ffff88013f6e4820
Dec 25 13:55:38 ankur-laptop kernel: R13: ffff88013f6e4800 R14: ffff88013f6e4918 R15: ffff88013f6e4930
Dec 25 13:55:38 ankur-laptop kernel: FS:  00007fb41e52b9c0(0000) GS:ffff880147c80000(0000) knlGS:0000000000000000
Dec 25 13:55:38 ankur-laptop kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Dec 25 13:55:38 ankur-laptop kernel: CR2: 00000000004adea0 CR3: 00000001406c3000 CR4: 00000000000007e0
Dec 25 13:55:38 ankur-laptop kernel: Stack:
Dec 25 13:55:38 ankur-laptop kernel:  ffff880100000001 0000000000000000 0000000000000246 ffff88013f6e4a88
Dec 25 13:55:38 ankur-laptop kernel:  ffff8800a564ee00 0000000000000008 ffff8800a738e4a8 ffff880141176180
Dec 25 13:55:38 ankur-laptop kernel:  ffff880140d83620 ffff880140db9ee8 ffffffff811aff81 ffff8800a738e4a8
Dec 25 13:55:38 ankur-laptop kernel: Call Trace:
Dec 25 13:55:38 ankur-laptop kernel:  [<ffffffff811aff81>] __fput+0xe1/0x230
Dec 25 13:55:38 ankur-laptop kernel:  [<ffffffff811b011e>] ____fput+0xe/0x10
Dec 25 13:55:38 ankur-laptop kernel:  [<ffffffff81087d07>] task_work_run+0xa7/0xe0
Dec 25 13:55:38 ankur-laptop kernel:  [<ffffffff81012a21>] do_notify_resume+0x61/0xa0
Dec 25 13:55:38 ankur-laptop kernel:  [<ffffffff816723e2>] int_signal+0x12/0x17
Dec 25 13:55:38 ankur-laptop kernel: Code: de 4c 89 ef ff d1 48 8b 43 30 48 8d b8 f8 02 00 00 e8 07 56 00 00 e9 72 fd ff ff 49 c7 85 f0 02 00 00 00 00 00 00 e9 28 fd ff ff <0f> 0b 66 66 66 66 90 55 48 89 e5 41 57 41 56 41 55 41 54 53 48 
Dec 25 13:55:38 ankur-laptop kernel: RIP  [<ffffffffa002660e>] drm_release+0x5de/0x5e0 [drm]
Dec 25 13:55:38 ankur-laptop kernel:  RSP <ffff880140db9e58>
Dec 25 13:55:38 ankur-laptop kernel: ---[ end trace 9826ad429a4b56c6 ]---


A lot of these at the end too:
Dec 25 13:55:55 ankur-laptop kernel: ALSA sound/pci/hda/hda_eld.c:338 HDMI: invalid ELD buf size -1


Complete journalctl logs attached.

Comment 7 Ankur Sinha (FranciscoD) 2013-12-25 03:15:23 UTC
When it hit the power off button, it says "Reached target shutdown", but the screen doesn't go off. I have to use the power button to switch it off.

Comment 8 Ankur Sinha (FranciscoD) 2013-12-30 08:39:57 UTC
Created attachment 843304 [details]
logs for 3.13.0-0.rc5.git0.2.fc21.x86_64

Tried the rawhide-no-debug kernel: Linux version 3.13.0-0.rc5.git0.2.fc21.x86_64

Go the same result:

Dec 30 19:30:02 ankur-laptop kernel: ------------[ cut here ]------------
Dec 30 19:30:02 ankur-laptop kernel: kernel BUG at drivers/gpu/drm/drm_fops.c:556!
Dec 30 19:30:02 ankur-laptop kernel: invalid opcode: 0000 [#1] SMP 
Dec 30 19:30:02 ankur-laptop kernel: Modules linked in: xt_CHECKSUM tun bnep bluetooth nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw snd_hda_codec_hdmi snd_hda_codec_idt snd_hda_intel arc4 brcmsmac snd_hda_codec snd_hwdep snd_seq cordic brcmutil b43 mac80211 cfg80211 ssb mmc_core uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev dell_wmi r8169 iTCO_wdt iTCO_vendor_support dell_laptop coretemp kvm_intel kvm rfkill mii media sparse_keymap snd_seq_device
Dec 30 19:30:02 ankur-laptop kernel:  snd_pcm dcdbas intel_ips snd_page_alloc snd_timer snd serio_raw soundcore lpc_ich mfd_core bcma mei_me mei shpchp crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel microcode acpi_cpufreq i2c_i801 nfsd auth_rpcgss nfs_acl lockd sunrpc nouveau i915 ttm i2c_algo_bit drm_kms_helper drm mxm_wmi i2c_core video wmi
Dec 30 19:30:02 ankur-laptop kernel: CPU: 0 PID: 590 Comm: Xorg Not tainted 3.13.0-0.rc5.git0.2.fc21.x86_64 #1
Dec 30 19:30:02 ankur-laptop kernel: Hardware name: Dell Inc. Vostro 3400/08YN7X, BIOS A10 10/25/2010
Dec 30 19:30:02 ankur-laptop kernel: task: ffff88009c8488a0 ti: ffff88009c852000 task.ti: ffff88009c852000
Dec 30 19:30:02 ankur-laptop kernel: RIP: 0010:[<ffffffffa0024efb>]  [<ffffffffa0024efb>] drm_release+0x5ab/0x5b0 [drm]
Dec 30 19:30:02 ankur-laptop kernel: RSP: 0018:ffff88009c853e58  EFLAGS: 00010246
Dec 30 19:30:02 ankur-laptop kernel: RAX: ffff88013f55a9c0 RBX: ffff88003730d600 RCX: 0000000000000000
Dec 30 19:30:02 ankur-laptop kernel: RDX: ffffffffa029f6c0 RSI: ffff88009cb039c0 RDI: 0000000000000000
Dec 30 19:30:02 ankur-laptop kernel: RBP: ffff88009c853ea0 R08: ffffffff81ecefbc R09: 0000000000000698
Dec 30 19:30:02 ankur-laptop kernel: R10: 0000000000000697 R11: 0000000000000003 R12: ffff88003737b820
Dec 30 19:30:02 ankur-laptop kernel: R13: ffff88003737b800 R14: ffff88003737b890 R15: ffff88003737b8a0
Dec 30 19:30:02 ankur-laptop kernel: FS:  00007ff5e94479c0(0000) GS:ffff880147c00000(0000) knlGS:0000000000000000
Dec 30 19:30:02 ankur-laptop kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Dec 30 19:30:02 ankur-laptop kernel: CR2: 00000000004adea0 CR3: 0000000036847000 CR4: 00000000000007f0
Dec 30 19:30:02 ankur-laptop kernel: Stack:
Dec 30 19:30:02 ankur-laptop kernel:  ffff880100000001 0000000000000000 0000000000000246 ffff88003737b998
Dec 30 19:30:02 ankur-laptop kernel:  ffff8801405eed00 0000000000000008 ffff88013f685280 ffff880036da3780
Dec 30 19:30:02 ankur-laptop kernel:  ffff880141ae0520 ffff88009c853ee8 ffffffff811b51fc ffff88013f685280
Dec 30 19:30:02 ankur-laptop kernel: Call Trace:
Dec 30 19:30:02 ankur-laptop kernel:  [<ffffffff811b51fc>] __fput+0xdc/0x230
Dec 30 19:30:02 ankur-laptop kernel:  [<ffffffff811b539e>] ____fput+0xe/0x10
Dec 30 19:30:02 ankur-laptop kernel:  [<ffffffff81087087>] task_work_run+0xa7/0xe0
Dec 30 19:30:02 ankur-laptop kernel:  [<ffffffff81013a41>] do_notify_resume+0x61/0xa0
Dec 30 19:30:02 ankur-laptop kernel:  [<ffffffff8168a962>] int_signal+0x12/0x17
Dec 30 19:30:02 ankur-laptop kernel: Code: 00 48 89 de 4c 89 ef ff d1 48 8b 43 30 48 8d 78 60 e8 1a 4d 00 00 e9 82 fd ff ff 49 c7 85 f8 01 00 00 00 00 00 00 e9 3b fd ff ff <0f> 0b 0f 1f 00 66 66 66 66 90 55 48 89 e5 0f 0b 0f 1f 44 00 00 
Dec 30 19:30:02 ankur-laptop kernel: RIP  [<ffffffffa0024efb>] drm_release+0x5ab/0x5b0 [drm]
Dec 30 19:30:02 ankur-laptop kernel:  RSP <ffff88009c853e58>
Dec 30 19:30:02 ankur-laptop kernel: ---[ end trace 78d8f8014eb109c0 ]---

Comment 9 Ankur Sinha (FranciscoD) 2013-12-30 09:22:52 UTC
The nvidia hardware is an optimus one. I just read that the 3.12 kernel included some new drivers for optimus hardware. I just thought I'd point it out. 

I've tried downgrading both xorg-x11-drv-intel and xorg-x11-drv-nouveau and not gotten a different result with 3.12* or 3.13. 3.11 is the only one that still works fine.

Comment 10 Michele Baldessari 2013-12-30 22:49:09 UTC
Potentially relevant?
http://marc.info/?l=linux-kernel&m=138835223228874&w=2

Comment 11 Josh Boyer 2014-01-06 19:25:34 UTC
(In reply to Michele Baldessari from comment #10)
> Potentially relevant?
> http://marc.info/?l=linux-kernel&m=138835223228874&w=2

Yes, possibly.  We're waiting to see if that lands in 3.12.7 at the moment.  Though since Ankur has tried 3.13 per comment #9, it would be interesting to know if 3.13-rc7 fixes it, as it has that patch included.

Ankur, could you test 3.13-rc7 from rawhide and let us know if it works?

Comment 12 Ankur Sinha (FranciscoD) 2014-01-06 23:19:43 UTC
Created attachment 846337 [details]
logs for 3.13.0-0.rc7.git0.2.fc21.x86_64

kernel-3.13.0-0.rc7.git0.2.fc21.x86_64

Still unable to get to gdm. The logs don't show the "kernel bug" part this time though:

[asinha@ankur-laptop  ~]$ egrep -i bug journalctl-kernel-3.13.0-0.rc7.git0.2.fc21.log
Dec 30 19:54:16 ankur-laptop kernel: Command line: BOOT_IMAGE=/vmlinuz-3.12.6-300.fc20.x86_64 root=UUID=e6393d35-3392-4c49-b114-278fcc274e13 ro vconsole.font=latarcyrheb-sun16 vconsole.keymap=us rhgb quiet LANG=en_US.UTF-8 drm.debug=15
Dec 30 19:54:16 ankur-laptop kernel: ACPI BIOS Warning (bug): 32/64X FACS address mismatch in FADT - 0xAB62DF40/0x00000000AB62DF80, using 32 (20130725/tbfadt-522)
Dec 30 19:54:16 ankur-laptop kernel: Kernel command line: BOOT_IMAGE=/vmlinuz-3.12.6-300.fc20.x86_64 root=UUID=e6393d35-3392-4c49-b114-278fcc274e13 ro vconsole.font=latarcyrheb-sun16 vconsole.keymap=us rhgb quiet LANG=en_US.UTF-8 drm.debug=15
Dec 30 19:54:16 ankur-laptop kernel: [Firmware Bug]: ACPI: BIOS _OSI(Linux) query ignored
Dec 30 19:54:16 ankur-laptop kernel: PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
Dec 30 19:54:16 ankur-laptop kernel: ehci-pci 0000:00:1a.0: debug port 2
Dec 30 19:54:16 ankur-laptop kernel: ehci-pci 0000:00:1d.0: debug port 2
Dec 30 19:54:17 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 0:"1366x768" 0 69300 1366 1398 1430 1470 768 771 776 786 0x8 0xa
Dec 30 19:54:17 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 0:"1600x1200" 0 162000 1600 1664 1856 2160 1200 1201 1204 1250 0x8 0xa
Dec 30 19:54:17 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline],
Dec 30 19:54:17 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 0:"" 0 0 640 0 0 0 400 0 0 0 0x0 0x0
Dec 30 19:54:17 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 0:"" 0 69299 0 0 0 0 0 0 0 0 0x0 0x9
Dec 30 19:54:17 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 0:"" 0 0 0 0 0 0 0 0 0 0 0x0 0x0
Dec 30 19:54:17 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 0:"" 0 0 0 0 0 0 0 0 0 0 0x0 0x0
Dec 30 19:54:17 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 10:"1366x768" 60 69300 1366 1398 1430 1470 768 771 776 786 0x48 0x9
Dec 30 19:54:17 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 0:"" 0 0 0 0 0 0 0 0 0 0 0x0 0x0
Dec 30 19:54:17 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 11:"1366x768" 60 69300 1366 1398 1430 1470 768 771 776 786 0x48 0x9
Dec 30 19:54:17 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 0:"1366x768" 60 69300 1366 1398 1430 1470 768 771 776 786 0x48 0x9
Dec 30 19:54:17 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 0:"1366x768" 60 69300 1366 1398 1430 1470 768 771 776 786 0x48 0x9
Dec 30 19:54:17 ankur-laptop kernel: [Firmware Bug]: ACPI(PEGP) defines _DOD but not _DOS
Dec 30 19:54:19 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 10:"1366x768" 60 69300 1366 1398 1430 1470 768 771 776 786 0x48 0x9
Dec 30 19:54:24 ankur-laptop kernel: SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
Dec 30 19:54:40 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 10:"1366x768" 60 69300 1366 1398 1430 1470 768 771 776 786 0x48 0x9
Dec 30 19:54:40 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 10:"1366x768" 60 69300 1366 1398 1430 1470 768 771 776 786 0x48 0x9
Dec 30 19:54:49 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 10:"1366x768" 60 69300 1366 1398 1430 1470 768 771 776 786 0x48 0x9
Dec 30 19:54:53 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 10:"1366x768" 60 69300 1366 1398 1430 1470 768 771 776 786 0x48 0x9
Dec 30 19:55:19 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 10:"1366x768" 60 69300 1366 1398 1430 1470 768 771 776 786 0x48 0x9
Dec 30 19:55:19 ankur-laptop kernel: [drm:drm_mode_debug_printmodeline], Modeline 10:"1366x768" 60 69300 1366 1398 1430 1470 768 771 776 786 0x48 0x9
[asinha@ankur-laptop  ~]$

It may or may not be the issue addressed by the patch. I really don't know enough to debug this more :/

Comment 13 Josh Boyer 2014-01-12 14:20:15 UTC
3.12.7 is in updates-testing now.

Comment 14 Ankur Sinha (FranciscoD) 2014-01-13 14:37:09 UTC
Created attachment 849407 [details]
Kernel logs for 3.12.7-300

Hi,

It seemed like it'll boot, but it got stuck at "waiting for plymouth screen to quit" each time. At this time, I had to hold down the power button to switch it off.

I tried it with runlevel 3 and it got me to a login. However, when I entered my password, it just kept blinking after the "last login at..." message. I had to use the power button again, but this time it shut down normally.

It doesn't give the bug mentioned in the bug summary here in journalctl anymore though. 

Thanks,
Warm regards,
Ankur

Comment 15 Ankur Sinha (FranciscoD) 2014-01-13 14:38:07 UTC
Created attachment 849410 [details]
Complete journalctl log. I used drm.debug=15

Comment 16 Ankur Sinha (FranciscoD) 2014-01-13 14:40:31 UTC
Created attachment 849412 [details]
Xorg for 3.12.7-300: gets stuck at "xfree86: Adding drm device (/dev/dri/card1)"

Comment 17 Ankur Sinha (FranciscoD) 2014-01-13 14:41:23 UTC
Created attachment 849414 [details]
Xorg for 3.11.10-301: works normally.

Comment 18 Ankur Sinha (FranciscoD) 2014-01-16 04:31:55 UTC
I finally got display with kernel-3.13.0-0.rc8.git2.2 from the rawhide-no-debug repository.

A few issues though:

- I didn't get full resolution. I got 1024x768 instead of 1366x768
- The display was dim and my brightness keys did not work
- It didn't bring up any network interfaces, neither wifi nor ethernet.
- It didnt' bring up bluetooth either (I thought I'd tether and use network to update the bug). 

I've booted back into the working 3.11 kernel now. I'm attaching whatever info I could collect on it. For some reason, journalctl doesn't seem to list my 3.13 boot at all. I'll try rebooting in it to see if I can get journalctl logs.

Thanks,
Ankur

Comment 19 Ankur Sinha (FranciscoD) 2014-01-16 04:33:31 UTC
Created attachment 850844 [details]
dmesg for 3.13.0-0.rc8.git2.2

Comment 20 Ankur Sinha (FranciscoD) 2014-01-16 04:35:23 UTC
lspci and lsusb seem with 3.13 too:

lspci:
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 18)
00:01.0 PCI bridge: Intel Corporation Core Processor PCI Express x16 Root Port (rev 18)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 18)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:1a.0 USB controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 06)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 06)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 06)
00:1c.2 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 3 (rev 06)
00:1c.4 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 5 (rev 06)
00:1d.0 USB controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a6)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 06)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 6 port SATA AHCI Controller (rev 06)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 06)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 06)
01:00.0 VGA compatible controller: NVIDIA Corporation GT218M [GeForce 310M] (rev a2)
01:00.1 Audio device: NVIDIA Corporation High Definition Audio Controller (rev a1)
12:00.0 Network controller: Broadcom Corporation BCM4313 802.11bgn Wireless Network Adapter (rev 01)
13:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 03)
ff:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 05)
ff:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 05)
ff:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 05)
ff:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 05)
ff:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 05)
ff:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 05)

lsusb:
Bus 002 Device 003: ID 0c45:6421 Microdia 
Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 004: ID 138a:0008 Validity Sensors, Inc. VFS300 Fingerprint Reader
Bus 001 Device 007: ID 413c:8160 Dell Computer Corp. Wireless 365 Bluetooth
Bus 001 Device 006: ID 413c:8162 Dell Computer Corp. Integrated Touchpad [Synaptics]
Bus 001 Device 005: ID 413c:8161 Dell Computer Corp. Integrated Keyboard
Bus 001 Device 003: ID 0a5c:4500 Broadcom Corp. BCM2046B1 USB 2.0 Hub (part of BCM2046 Bluetooth)
Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Comment 21 Ankur Sinha (FranciscoD) 2014-01-16 04:36:00 UTC
Created attachment 850845 [details]
Xorg.log for 3.13.0-0.rc8.git2.2

Comment 22 Ankur Sinha (FranciscoD) 2014-01-22 02:56:06 UTC
Created attachment 853568 [details]
journalctl -b -3 -k --no-pager  for 3.13.0-2.fc21.x86_64

No luck with kernel-3.13.0-2.fc21.x86_64

journalctl log attached.

It got stuck on boot again, and I had to power it off using the switch.

Comment 23 Ankur Sinha (FranciscoD) 2014-01-29 00:47:13 UTC
3.14.0-0.rc0.git9.2.fc21.x86_64 works as expected. It doesn't get stuck. I'm typing from it now. Even the screen resolution is correct.

It also seems to fix a bug where the wireless status light didn't come on.

Comment 24 Ankur Sinha (FranciscoD) 2014-01-31 01:12:41 UTC
3.14.0-0.rc0.git15.2.fc21.x86_64 works OK as well.

Comment 25 Justin M. Forbes 2014-02-24 13:54:17 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 26 Ankur Sinha (FranciscoD) 2014-02-28 02:51:43 UTC
Hi Justin,

I've moved on to using the 3.14 kernels from the rawhide nodebug repo and they work just fine. I've skipped the 3.13s completely as a result. Should I close the bug?

Thanks,
Ankur

Comment 27 Josh Boyer 2014-02-28 12:09:55 UTC
Yeah, we'll close it out.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.